Bug 480038 - RFE: support stronger hashes than MD5
RFE: support stronger hashes than MD5
Status: NEW
Product: Fedora
Classification: Fedora
Component: isomd5sum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora-sha2 477043
  Show dependency treegraph
 
Reported: 2009-01-14 12:20 EST by Miloslav Trmač
Modified: 2010-06-10 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 16:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-01-14 12:20:56 EST
MD5 has known weaknesses and should be eventually phased out, it would be nice if newer hashes (such as SHA-2) were supported.  The data currently created by implantisomd5 consume less than half of the application area, so there is enough space for adding a single SHA-256 hash computed over the whole image, which should not break compatibility with older versions of checkisomd5.
Comment 2 Jeremy Katz 2009-01-14 12:57:03 EST
Given that collision resistance isn't at all the concern behind having the embedded md5sum, I'm not sure that it's really a case that we have to switch.  

Switching to a single SHA-256 would mean that we lose the incremental checking which is actually very useful in the case of the failure mode to speed up failing.
Comment 3 Miloslav Trmač 2009-01-14 13:07:46 EST
I suggested adding a single SHA-256 hash, not removing anything.

Or perhaps add a SHA-256 hash, SHA-256 fragment sums, and keep a single MD5 sum to allow mediacheck when booting from an older medium.

(But you're right, the justification to add this feature is pretty weak.)
Comment 4 Chris Lumens 2009-09-04 16:12:23 EDT
We will consider patches sent to anaconda-maint-list@redhat.com, but are unlikely to implement this on our own.

Note You need to log in before you can comment on or make changes to this bug.